[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#536820: marked as done (please add scratchbox2 variant)



Your message dated Wed, 22 Jul 2009 16:02:03 +0000
with message-id <E1MTeGZ-0003mn-RP@ries.debian.org>
and subject line Bug#536820: fixed in debootstrap 1.0.14
has caused the Debian Bug report #536820,
regarding please add scratchbox2 variant
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
536820: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536820
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: debootstrap
Version: 1.0.13
Severity: wishlist
Tags: patch

Two changes needed for supporting scratchbox2:

1) make chrooting optional for --second-stage - after all we are in the
new chroot, if "/" is defined as the target. To facialiate this, we convert
calls of chroot to $CHROOT and set it chroot, unless TARGET is defined as
"/". This change is usefull even without scratchbox.

2) add variant "scratchbox", similar to "fakechroot". since scratchbox handles
"mounting" proc and dev, just skip these parts.
diff -urN debootstrap/debian/changelog debootstrap-1.0.14~0.1/debian/changelog
--- debootstrap/debian/changelog	2009-04-24 22:08:27.000000000 +0300
+++ debootstrap-1.0.14~0.1/debian/changelog	2009-07-13 15:44:18.000000000 +0300
@@ -1,3 +1,9 @@
+debootstrap (1.0.14~0.1) karmic; urgency=low
+
+  * sb2 support
+
+ -- Riku Voipio <riku.voipio@iki.fi>  Mon, 13 Jul 2009 15:43:54 +0300
+
 debootstrap (1.0.13) unstable; urgency=low
 
   [ Otavio Salvador ]
diff -urN debootstrap/debootstrap debootstrap-1.0.14~0.1/debootstrap
--- debootstrap/debootstrap	2009-03-24 16:08:43.000000000 +0200
+++ debootstrap-1.0.14~0.1/debootstrap	2009-07-13 16:33:29.000000000 +0300
@@ -26,6 +26,7 @@
 USE_COMPONENTS=main
 KEYRING=""
 VARIANT=""
+CHROOT="chroot"
 
 DEF_MIRROR="http://ftp.us.debian.org/debian";
 
@@ -79,7 +80,8 @@
       --components=A,B,C     use packages from the listed components of the
                              archive
       --variant=X            use variant X of the bootstrap scripts
-                             (currently supported variants: buildd, fakechroot)
+                             (currently supported variants: buildd, fakechroot,
+                              scratchbox)
       --keyring=K            check Release files against keyring K
       --no-resolve-deps      don't try to resolve dependencies automatically
 
@@ -301,6 +303,7 @@
 	fi
 	if [ -z "$CHROOTDIR" ]; then
 		TARGET=/
+        CHROOT=""
 	else
 		TARGET=$CHROOTDIR
 	fi
diff -urN debootstrap/functions debootstrap-1.0.14~0.1/functions
--- debootstrap/functions	2009-03-24 16:08:43.000000000 +0200
+++ debootstrap-1.0.14~0.1/functions	2009-07-13 15:43:42.000000000 +0300
@@ -730,7 +730,7 @@
 ); }
 
 in_target_nofail () {
-	if ! chroot "$TARGET" "$@" 2>/dev/null; then
+	if ! "$CHROOT" "$TARGET" "$@" 2>/dev/null; then
 		true
 	fi
 	return 0
@@ -741,7 +741,7 @@
 	local msg="$2"
 	local arg="$3"
 	shift; shift; shift
-	if ! chroot "$TARGET" "$@"; then
+	if ! "$CHROOT" "$TARGET" "$@"; then
 		warning "$code" "$msg" "$arg"
 		return 1
 	fi
diff -urN debootstrap/scripts/debian/sid debootstrap-1.0.14~0.1/scripts/debian/sid
--- debootstrap/scripts/debian/sid	2009-03-16 14:10:48.000000000 +0200
+++ debootstrap-1.0.14~0.1/scripts/debian/sid	2009-07-13 16:55:27.000000000 +0300
@@ -1,12 +1,24 @@
 mirror_style release
 download_style apt
 finddebs_style from-indices
-variants - buildd fakechroot minbase
+variants - buildd fakechroot minbase scratchbox
 
 if doing_variant fakechroot; then
     test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
 fi
 
+if doing_variant scratchbox; then
+    for config in ~/.scratchbox2/*/;
+    do
+        export `grep ^SBOX_TARGET_ROOT= $config/sb2.config`
+        if [ "x$SBOX_TARGET_ROOT" = "x$TARGET" ]; then 
+            CONFIG=`basename config`
+        fi
+    done
+    [ "x$CONFIG" != "x" ] || error 1 SBOXTARGETREQ "No scratchbox2 target configured for $TARGET"
+    CHROOT="sb2 -eR -t $CONFIG" 
+fi
+
 case $ARCH in
   alpha|ia64) LIBC="libc6.1" ;;
   kfreebsd-*) LIBC="libc0.1" ;;
@@ -52,6 +64,8 @@
 
     if doing_variant fakechroot; then 
         setup_devices_fakechroot
+    elif doing_variant schratchbox; then
+        true
     else
         setup_devices
     fi
@@ -89,6 +103,8 @@
 
     if doing_variant fakechroot; then 
 	setup_proc_fakechroot
+    elif doing_variant scratchbox; then
+    true
     else
 	setup_proc
 	in_target /sbin/ldconfig

--- End Message ---
--- Begin Message ---
Source: debootstrap
Source-Version: 1.0.14

We believe that the bug you reported is fixed in the latest version of
debootstrap, which is due to be installed in the Debian FTP archive:

debootstrap-udeb_1.0.14_all.udeb
  to pool/main/d/debootstrap/debootstrap-udeb_1.0.14_all.udeb
debootstrap_1.0.14.dsc
  to pool/main/d/debootstrap/debootstrap_1.0.14.dsc
debootstrap_1.0.14.tar.gz
  to pool/main/d/debootstrap/debootstrap_1.0.14.tar.gz
debootstrap_1.0.14_all.deb
  to pool/main/d/debootstrap/debootstrap_1.0.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@ossystems.com.br> (supplier of updated debootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 Jul 2009 12:34:54 -0300
Source: debootstrap
Binary: debootstrap debootstrap-udeb
Architecture: source all
Version: 1.0.14
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@ossystems.com.br>
Description: 
 debootstrap - Bootstrap a basic Debian system
 debootstrap-udeb - Bootstrap the Debian system (udeb)
Closes: 531680 534575 536820
Changes: 
 debootstrap (1.0.14) unstable; urgency=low
 .
   * Apply patch from Felix Zielcke <fzielcke@z-51.de> to use "dpkg
     --print-architecture" to avoid deprecation warning. Closes: #531680.
   * Reference squeeze instead of sarge in manpage. Based on a patch from
     Geoff Simmons <gsimmons@gsimmons.org>. Closes: #534575.
   * Apply patch from Riku Voipio <riku.voipio@iki.fi> to add support for
     scratchbox variant. Closes: #536820.
Checksums-Sha1: 
 c65bd34af839c3e4e6b075f5d146e682b4c4a493 1016 debootstrap_1.0.14.dsc
 841e6a4a74987322df5de32e5b6667464f075c2f 48932 debootstrap_1.0.14.tar.gz
 f41501bda2ce823ef9bb45ff4052b87e735ac13a 54182 debootstrap_1.0.14_all.deb
 5f63e98b4ad163ab3692100151c0df2531b33a9d 17306 debootstrap-udeb_1.0.14_all.udeb
Checksums-Sha256: 
 1861fcfbda02a049c7f85d7234a9445f946d1ddbae22eb596d05d26e8d76dd75 1016 debootstrap_1.0.14.dsc
 73c7d62ad40e44084be1a8c17cf7c6016d470de49c0cd911cb5b77af2824ed05 48932 debootstrap_1.0.14.tar.gz
 ca47ca65d4aae375794188424a5c4704bb36c40e8f646bf7027326a6ad8da99f 54182 debootstrap_1.0.14_all.deb
 a9e15254f0dff93cac425dde3f47d2a1edee8d46ef98ab068695b7393ab973fb 17306 debootstrap-udeb_1.0.14_all.udeb
Files: 
 771695fb829c7c22138df8e35ef10744 1016 admin extra debootstrap_1.0.14.dsc
 6dc3e30086304c309c3428bc0c8f06d1 48932 admin extra debootstrap_1.0.14.tar.gz
 62e9580b13f18719dd60029fbcaf18ba 54182 admin extra debootstrap_1.0.14_all.deb
 1428fa78d3810280c24a7d7a8ffbc056 17306 debian-installer extra debootstrap-udeb_1.0.14_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpnMp8ACgkQLqiZQEml+FVJKQCfY03VivEwxmHp0KxAVkNtHQn3
CLgAoLtO3yR4J7LBI+AHcEEJ8e84G9iF
=sQwn
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: